<html>
<head>
<title>OgreD3D9RenderWindow.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_c7ffc14721c8bed1493f4f78ca8c7331.html">Direct3D9</a>      </li>
      <li class="navelem"><a class="el" href="dir_1208738e8444befc5f502320df40a1ea.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D9RenderWindow.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D9RenderWindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __D3D9RENDERWINDOW_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __D3D9RENDERWINDOW_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D9Prerequisites_8h.html">OgreD3D9Prerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderWindow_8h.html">OgreRenderWindow.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D9Device_8h.html">OgreD3D9Device.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre 
<a name="l00036"></a>00036 {
<a name="l00037"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html">00037</a>     <span class="keyword">class </span><a class="code" href="OgreD3D9Prerequisites_8h.html#a2f097a9b4c2ebfb75896e7d6eec01a1d">_OgreD3D9Export</a> <a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>
<a name="l00038"></a>00038     {
<a name="l00039"></a>00039     <span class="keyword">public</span>:
<a name="l00046"></a>00046         <a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>                    (HINSTANCE instance);
<a name="l00047"></a>00047         ~<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>                   ();
<a name="l00048"></a>00048         
<a name="l00049"></a>00049         
<a name="l00050"></a>00050         <span class="keywordtype">void</span>                create              (<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00051"></a>00051                                                  <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams);
<a name="l00052"></a>00052         <span class="keywordtype">void</span>                setFullscreen       (<span class="keywordtype">bool</span> fullScreen, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);
<a name="l00053"></a>00053         <span class="keywordtype">void</span>                destroy             (<span class="keywordtype">void</span>);
<a name="l00054"></a>00054         <span class="keywordtype">bool</span>                isActive            () <span class="keyword">const</span>;
<a name="l00055"></a>00055         <span class="keywordtype">bool</span>                isVisible           () <span class="keyword">const</span>;
<a name="l00056"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a67f664fc718ccda40881883c16672654">00056</a>         <span class="keywordtype">bool</span>                <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a67f664fc718ccda40881883c16672654" title="Indicates whether the window has been closed by the user.">isClosed</a>            ()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mClosed; }
<a name="l00057"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a2da9f1d03bd792f898a016c55571812e">00057</a>         <span class="keywordtype">bool</span>                <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a2da9f1d03bd792f898a016c55571812e">isVSync</a>             ()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mVSync; }
<a name="l00058"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#aa4f11c99f8cf39fc2497a06ad739f3b5">00058</a>         <span class="keywordtype">bool</span>                <a class="code" href="classOgre_1_1D3D9RenderWindow.html#aa4f11c99f8cf39fc2497a06ad739f3b5" title="Indicates whether the window was set to hidden (not displayed)">isHidden</a>            ()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mHidden; }
<a name="l00059"></a>00059         <span class="keywordtype">void</span>                setHidden           (<span class="keywordtype">bool</span> hidden);
<a name="l00060"></a>00060         <span class="keywordtype">void</span>                setVSyncEnabled     (<span class="keywordtype">bool</span> vsync);
<a name="l00061"></a>00061         <span class="keywordtype">bool</span>                isVSyncEnabled      () <span class="keyword">const</span>;
<a name="l00062"></a>00062         <span class="keywordtype">void</span>                setVSyncInterval    (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> interval);
<a name="l00063"></a>00063         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        getVSyncInterval    () <span class="keyword">const</span>;
<a name="l00064"></a>00064         <span class="keywordtype">void</span>                reposition          (<span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top);
<a name="l00065"></a>00065         <span class="keywordtype">void</span>                resize              (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);
<a name="l00066"></a>00066         <span class="keywordtype">void</span>                swapBuffers         ( <span class="keywordtype">bool</span> waitForVSync = <span class="keyword">true</span> );
<a name="l00067"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#aa163d12ae8b78ede65fafe1b8aea60ad">00067</a>         HWND                <a class="code" href="classOgre_1_1D3D9RenderWindow.html#aa163d12ae8b78ede65fafe1b8aea60ad">getWindowHandle</a>     ()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mHWnd; }              
<a name="l00068"></a>00068         IDirect3DDevice9*   getD3D9Device       ();
<a name="l00069"></a>00069         <a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>*         getDevice           ();
<a name="l00070"></a>00070         <span class="keywordtype">void</span>                setDevice           (<a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>* device);
<a name="l00071"></a>00071 
<a name="l00072"></a>00072         <span class="keywordtype">void</span>                getCustomAttribute  (<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">void</span>* pData);
<a name="l00073"></a>00073         
<a name="l00076"></a>00076         <span class="keywordtype">void</span>                copyContentsToMemory    (<span class="keyword">const</span> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;dst, FrameBuffer buffer);
<a name="l00077"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a8ac53b2afe2bb8b8e43bde6ba042a9fa">00077</a>         <span class="keywordtype">bool</span>                <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a8ac53b2afe2bb8b8e43bde6ba042a9fa">requiresTextureFlipping</a> ()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00078"></a>00078 
<a name="l00079"></a>00079         <span class="comment">// Method for dealing with resize / move &amp; 3d library</span>
<a name="l00080"></a>00080         <span class="keywordtype">void</span>                windowMovedOrResized    ();
<a name="l00081"></a>00081     
<a name="l00083"></a>00083         <span class="keywordtype">void</span>                buildPresentParameters  (D3DPRESENT_PARAMETERS* presentParams);
<a name="l00084"></a>00084         
<a name="l00085"></a>00085 
<a name="l00087"></a>00087         <span class="keywordtype">void</span> _beginUpdate();
<a name="l00088"></a>00088     
<a name="l00090"></a>00090         <span class="keywordtype">void</span> _updateViewport(<a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* viewport, <span class="keywordtype">bool</span> updateStatistics = <span class="keyword">true</span>);
<a name="l00091"></a>00091 
<a name="l00093"></a>00093         <span class="keywordtype">void</span> _endUpdate();
<a name="l00094"></a>00094 
<a name="l00096"></a>00096         IDirect3DSurface9* getRenderSurface();
<a name="l00097"></a>00097 
<a name="l00099"></a>00099         <span class="keywordtype">bool</span> _getSwitchingFullscreen() <span class="keyword">const</span>;
<a name="l00100"></a>00100         
<a name="l00102"></a>00102         <span class="keywordtype">void</span> _finishSwitchingFullscreen();
<a name="l00103"></a>00103     
<a name="l00105"></a>00105         <span class="keywordtype">bool</span> isDepthBuffered() <span class="keyword">const</span>;
<a name="l00106"></a>00106 
<a name="l00108"></a>00108         <span class="keywordtype">bool</span> isNvPerfHUDEnable() <span class="keyword">const</span>;
<a name="l00109"></a>00109 
<a name="l00111"></a>00111         <span class="keywordtype">bool</span> _validateDevice();
<a name="l00112"></a>00112 
<a name="l00113"></a>00113         <span class="keywordtype">void</span> adjustWindow(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> clientWidth, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> clientHeight, 
<a name="l00114"></a>00114             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>* winWidth, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>* winHeight);
<a name="l00115"></a>00115 
<a name="l00116"></a>00116     <span class="keyword">protected</span>:
<a name="l00118"></a>00118         <span class="keywordtype">void</span> updateWindowRect();
<a name="l00119"></a>00119 
<a name="l00121"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a319dc8c2c3080333101741866a71cee3">00121</a>         DWORD <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a319dc8c2c3080333101741866a71cee3" title="Return the target window style depending on the fullscreen parameter.">getWindowStyle</a>(<span class="keywordtype">bool</span> fullScreen)<span class="keyword"> const </span>{ <span class="keywordflow">if</span> (fullScreen) <span class="keywordflow">return</span> mFullscreenWinStyle; <span class="keywordflow">return</span> mWindowedWinStyle; }
<a name="l00122"></a>00122 
<a name="l00123"></a>00123     <span class="keyword">protected</span>:
<a name="l00124"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#adbf2ba99332bc9dbbac9fc165ee9b270">00124</a>         HINSTANCE                   <a class="code" href="classOgre_1_1D3D9RenderWindow.html#adbf2ba99332bc9dbbac9fc165ee9b270">mInstance</a>;              <span class="comment">// Process instance</span>
<a name="l00125"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#afc57bb77edf3a260dd3607a65e867d65">00125</a>         <a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>*                 <a class="code" href="classOgre_1_1D3D9RenderWindow.html#afc57bb77edf3a260dd3607a65e867d65">mDevice</a>;                <span class="comment">// D3D9 device wrapper class.</span>
<a name="l00126"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#ab3d11fcb7c6123acb00f9da3e9267a6d">00126</a>         <span class="keywordtype">bool</span>                        <a class="code" href="classOgre_1_1D3D9RenderWindow.html#ab3d11fcb7c6123acb00f9da3e9267a6d">mDeviceValid</a>;           <span class="comment">// Device was validation succeeded.</span>
<a name="l00127"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a229397a5ff185998a7769dd1c155c89b">00127</a>         HWND                        <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a229397a5ff185998a7769dd1c155c89b">mHWnd</a>;                  <span class="comment">// Win32 Window handle      </span>
<a name="l00128"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a1f4ea683824058d90054f14674326a69">00128</a>         <span class="keywordtype">bool</span>                        <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a1f4ea683824058d90054f14674326a69">mIsExternal</a>;            <span class="comment">// window not created by Ogre</span>
<a name="l00129"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a13da359e36f8c5b33a3ea26df35090f2">00129</a>         <span class="keywordtype">bool</span>                        <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a13da359e36f8c5b33a3ea26df35090f2">mClosed</a>;                <span class="comment">// Is this window destroyed.        </span>
<a name="l00130"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#aca48f914b4acf70f36f8f90aa1fe4e15">00130</a>         <span class="keywordtype">bool</span>                        <a class="code" href="classOgre_1_1D3D9RenderWindow.html#aca48f914b4acf70f36f8f90aa1fe4e15">mHidden</a>;                <span class="comment">// True if this is hidden render window. </span>
<a name="l00131"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#abb59c8b7837e426d3570a53df0be78cf">00131</a>         <span class="keywordtype">bool</span>                        <a class="code" href="classOgre_1_1D3D9RenderWindow.html#abb59c8b7837e426d3570a53df0be78cf">mSwitchingFullscreen</a>;   <span class="comment">// Are we switching from fullscreen to windowed or vice versa       </span>
<a name="l00132"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a973a6ab705e4d3df6f18afecbdb2e1b9">00132</a>         D3DMULTISAMPLE_TYPE         <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a973a6ab705e4d3df6f18afecbdb2e1b9">mFSAAType</a>;              <span class="comment">// AA type.</span>
<a name="l00133"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a7091b0e8665464b0271f2b9ef5252471">00133</a>         DWORD                       <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a7091b0e8665464b0271f2b9ef5252471">mFSAAQuality</a>;           <span class="comment">// AA quality.</span>
<a name="l00134"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#ab745de991ba7ff9e8ab8a689276e30de">00134</a>         UINT                        <a class="code" href="classOgre_1_1D3D9RenderWindow.html#ab745de991ba7ff9e8ab8a689276e30de">mDisplayFrequency</a>;      <span class="comment">// Display frequency.</span>
<a name="l00135"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a9af3b665bfadefd9f02a049294450613">00135</a>         <span class="keywordtype">bool</span>                        <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a9af3b665bfadefd9f02a049294450613">mVSync</a>;                 <span class="comment">// Use vertical sync or not.</span>
<a name="l00136"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a9f0cb99fb25eb74a68a65dd6ba19e12e">00136</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>                <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a9f0cb99fb25eb74a68a65dd6ba19e12e">mVSyncInterval</a>;         <span class="comment">// The vsync interval.</span>
<a name="l00137"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#adede510dfd72318b4cce7c9d1666e8a9">00137</a>         <span class="keywordtype">bool</span>                        <a class="code" href="classOgre_1_1D3D9RenderWindow.html#adede510dfd72318b4cce7c9d1666e8a9">mUseNVPerfHUD</a>;          <span class="comment">// Use NV Perf HUD.</span>
<a name="l00138"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a87710c5de99fe139e4538c22254d63cb">00138</a>         DWORD                       <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a87710c5de99fe139e4538c22254d63cb">mWindowedWinStyle</a>;      <span class="comment">// Windowed mode window style flags.</span>
<a name="l00139"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#a02f2597fceac3c07ecfbd52c129f11f2">00139</a>         DWORD                       <a class="code" href="classOgre_1_1D3D9RenderWindow.html#a02f2597fceac3c07ecfbd52c129f11f2">mFullscreenWinStyle</a>;    <span class="comment">// Fullscreen mode window style flags.       </span>
<a name="l00140"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#ac9745158eb82c145a8d84a598a674103">00140</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>                <a class="code" href="classOgre_1_1D3D9RenderWindow.html#ac9745158eb82c145a8d84a598a674103">mDesiredWidth</a>;          <span class="comment">// Desired width after resizing</span>
<a name="l00141"></a><a class="code" href="classOgre_1_1D3D9RenderWindow.html#ae5aeb6e1f77769cf20025b63242458f6">00141</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>                <a class="code" href="classOgre_1_1D3D9RenderWindow.html#ae5aeb6e1f77769cf20025b63242458f6">mDesiredHeight</a>;         <span class="comment">// Desired height after resizing</span>
<a name="l00142"></a>00142     };
<a name="l00143"></a>00143 }
<a name="l00144"></a>00144 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
